<?php 

if(!( function_exists('ebor_add_body_classes') )){ 
	function ebor_add_body_classes($classes) {
        $classes[] = 'sliphover-active';
        return $classes;
	}
	add_filter('body_class', 'ebor_add_body_classes');
}

if( class_exists('OCDI_Plugin') ){
	
	function ebor_ocdi_plugin_intro_text( $default_text ) {
	    $default_text .= '
	    	<div class="ocdi__intro-text">
	    		<h3>Read this before importing demo data!</h3>
	    		<p>We have prepared full written & video documentation to make your life with Sugarland much more easy. It is worth spending a few minutes with this to familiarise yourself with the theme & its plugins before jumping in with your demo data, so <a href="https://tommusrhodus.ticksy.com/articles/100007405?print" target="_blank">please read the theme documentation</a> before importing the demo data.</p>
	    		<hr />
	    	</div>
	    ';
	
	    return $default_text;
	}
	add_filter( 'pt-ocdi/plugin_intro_text', 'ebor_ocdi_plugin_intro_text' );
	
	function ebor_ocdi_confirmation_dialog_options ( $options ) {
	    return array_merge( $options, array(
	        'width'       => 600,
	        'dialogClass' => 'wp-dialog',
	        'resizable'   => false,
	        'height'      => 'auto',
	        'modal'       => true,
	    ) );
	}
	add_filter( 'pt-ocdi/confirmation_dialog_options', 'ebor_ocdi_confirmation_dialog_options', 10, 1 );
	
	//Setup basic demo import
	function ebor_import_files() {
		
		$import_notice_vc = '
			<h3>Ready to Import Sugarland + Visual Composer Demo Data</h3>
			<p>Please ensure all required plugins in "appearance => install plugins" are installed before running this demo importer.</p>
			<p>Since you\'re importing Sugarland + Visual Composer Demo Data, please ensure Visual Composer is enabled in "plugins".</p>
			<p><a href="https://tommusrhodus.ticksy.com/articles/100007405?print" target="_blank">Please read the theme documentation.</a></p>
		';
		
				
	    return array(
	        array(
	            'import_file_name'             => 'Sugarland + Visual Composer Demo Data',
	            'import_file_url'              => get_theme_file_uri() . '/admin/demo-data/demo-data.xml',
	            'import_widget_file_url'       => get_theme_file_uri() . '/admin/demo-data/demo-widgets.wie',
	            'import_customizer_file_url'   => get_theme_file_uri() . '/admin/demo-data/demo-options.dat',
	            'import_preview_image_url'     => get_theme_file_uri() . '/screenshot.png',
	            'import_notice'                => $import_notice_vc,
	        ),
	    );
	    
	}
	add_filter( 'pt-ocdi/import_files', 'ebor_import_files' );
	
	//Setup front page and menus
	function ebor_after_import_setup() {
		
	    // Assign menus to their locations.
	    $main_menu = get_term_by( 'name', 'Standard Navigation', 'nav_menu' );
	
	    set_theme_mod( 'nav_menu_locations', array(
	            'primary'  => $main_menu->term_id
	        )
	    );
	
	    // Assign front page and posts page (blog page).
	    $front_page_id = get_page_by_title( 'Home' );
	    $blog_page_id  = get_page_by_title( 'Blog' );
	
	    update_option( 'show_on_front', 'page' );
	    update_option( 'page_on_front', $front_page_id->ID );
	    update_option( 'page_for_posts', $blog_page_id->ID );
	
	}
	add_action( 'pt-ocdi/after_import', 'ebor_after_import_setup' );
	
	//Remove Branding
	add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );
	
	//Save customize options
	add_action( 'pt-ocdi/enable_wp_customize_save_hooks', '__return_true' );
	
	//Stop thumbnail generation
	add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );
	
}

if(!( function_exists('ebor_get_custom_logo_default') )){ 
	function ebor_get_custom_logo_default($html){
		
		//Create default logo HTML
		if(empty($html))
			$html = '<a href="'. esc_url(home_url('/')) .'"><img class="logo" alt="logo" src="'. EBOR_THEME_DIRECTORY . 'assets/images/logo.png" /></a>';
			
		$html = str_replace( 'class="custom-logo"', 'class="logo"', $html );
			
		return $html;
	}
	add_filter('get_custom_logo', 'ebor_get_custom_logo_default');
}