<?php 

/**
 * Build theme options
 * Uses the Ebor_Options class found in the ebor-framework plugin
 * Panels are WP 4.0+!!!
 * 
 * @since 1.0.0
 * @author tommusrhodus
 */
if( class_exists('Ebor_Options') ){
	$ebor_options = new Ebor_Options;
	
	/**
	 * Variables
	 */
	$theme = wp_get_theme();
	$theme_name = $theme->get( 'Name' );
	$footer_default = '<a href="http://www.tommusrhodus.com">Sugarland Premium WordPress Theme by TommusRhodus</a>';
	$social_options = ebor_get_icons();
	$header_copyright_default = '<p>1 Murry Street<br />Beverly Hills, 90210 CA</p>';
	$portfolio_ajax_options = array(
		'enable-ajax' => 'Enable AJAX Popup',
		'disable-ajax' => 'Disable AJAX Popup'	
	);

	/**
	 * Default stuff
	 * 
	 * Each of these is a default option that appears in each theme, demo data, favicons and a custom css input
	 * 
	 * @since 1.0.0
	 * @author tommusrhodus
	 */
	
	//Blog Settings;	
	$ebor_options->add_setting('input', 'blog_title', 'Blog Title', 'blog_layout_section', 'Our Journal', 15);
	$ebor_options->add_setting('input', 'blog_subtitle', 'Blog Title', 'blog_layout_section', 'The Written word', 17);
	$ebor_options->add_setting('image', 'blog_header_img', 'Blog Header Background', 'blog_layout_section', '', 20);
	
	//Colours
	$ebor_options->add_setting('color', 'colour_white', 'White Colour', 'colors', '#ffffff', 35);
	$ebor_options->add_setting('color', 'colour_grey', 'Black Colour', 'colors', '#2b2b2b', 40);
	$ebor_options->add_setting('color', 'colour_meta', 'Meta Colour', 'colors', '#888888', 45);
	$ebor_options->add_setting('color', 'colour_borders', 'Border Colour', 'colors', '#d8d8d8', 50);
	$ebor_options->add_setting('color', 'colour_white_bg', 'White Background Colour', 'colors', '#ffffff', 55);

	//Header Settings
	$ebor_options->add_panel( $theme_name . ': Header Settings', 215, 'All of the controls in this section directly relate to the header and logos of ' . $theme_name);

	//Social Options
	$ebor_options->add_section('header_social_settings_section', 'Social Icon Settings', 15, $theme_name . ': Header Settings');
	for( $i = 1; $i < 5; $i++ ){
		$ebor_options->add_setting('select', 'header_social_icon_' . $i, 'Header Social Icon ' . $i, 'header_social_settings_section', 'none', 20 + $i + $i, $social_options);
		$ebor_options->add_setting('input', 'header_social_url_' . $i, 'Header Social URL ' . $i, 'header_social_settings_section', '', 21 + $i + $i);
	}

	//Contact
	$ebor_options->add_section('header_settings_section', 'Header Copyright', 20, $theme_name . ': Header Settings');
	$ebor_options->add_setting('textarea', 'header_copyright', 'Copyright Message Header', 'header_settings_section', $header_copyright_default, 20);


	//Ajax Control
	$ebor_options->add_panel( $theme_name . ': Portfolio Settings', 215, 'All of the controls in this section directly relate to the portfolio area of ' . $theme_name);
	$ebor_options->add_section('portfolio_settings_section', 'Portfolio Settings', 40, $theme_name . ': Portfolio Settings');
	$ebor_options->add_setting('select', 'portfolio_ajax_control', 'Enable/Disable AJAX', 'portfolio_settings_section', 'enable-ajax', 5, $portfolio_ajax_options);


}