<?php 

/*
Register Fonts
*/
if(!( function_exists('ebor_fonts_url') )){
	function ebor_fonts_url(){
	    $font_url = '';

	    /*
	    	Translators: If there are characters in your language that are not supported
	   		by chosen font(s), translate this to 'off'. Do not translate into your own language.
	     */
	    if ( 'off' !== _x( 'on', 'Google font: on or off', 'sugarland' ) ) {
	        $font_url = add_query_arg( 'family', urlencode( str_replace('+', ' ', get_option('stack_google_font_string','Rufina:400,600,700,800|Lato:400,600,400italic')) ), "//fonts.googleapis.com/css" );
	    }
	    return $font_url;
	}
}

/**
 * Ebor Load Scripts
 * Properly Enqueues Scripts & Styles for the theme
 * @since version 1.0
 * @author TommusRhodus
 */ 
if(!( function_exists('ebor_load_scripts') )){
	function ebor_load_scripts() {
			
		//Enqueue Styles
		wp_enqueue_style( 'ebor-google-font', ebor_fonts_url(), array(), '1.0.0' );
		wp_enqueue_style( 'bootstrap', get_theme_file_uri( 'assets/css/bootstrap.min.css' ) );
		wp_enqueue_style( 'ebor-style', get_stylesheet_uri() );
		
		//Enqueue Scripts
		wp_enqueue_script( 'ebor-easing', get_theme_file_uri( 'assets/js/jquery-easing-1.3.js' ), array('jquery'), false, true );
		wp_enqueue_script( 'bootstrap', get_theme_file_uri( 'assets/js/bootstrap.min.js' ), array('jquery'), false, true );
		wp_enqueue_script( 'ebor-mixitup', get_theme_file_uri( 'assets/js/mixitup.min.js' ), array('jquery'), false, true );
		wp_enqueue_script( 'ebor-fancybox', get_theme_file_uri( 'assets/js/jquery.fancybox.pack.js' ), array('jquery'), false, true );
		wp_enqueue_script( 'ebor-fitvids', get_theme_file_uri( 'assets/js/jquery.fitvids.js' ), array('jquery'), false, true );
		wp_enqueue_script( 'ebor-main', get_theme_file_uri( 'assets/js/main.js' ), array('jquery'), false, true );
		wp_enqueue_script( 'ebor-sliphover', get_theme_file_uri( 'assets/js/jquery.sliphover.min.js' ), array('jquery'), false, true );
		
		//Enqueue Comments
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}

		$colour_white = get_option('colour_white', '#ffffff');
		$colour_grey = get_option('colour_grey', '#2b2b2b');
		$colour_meta = get_option('colour_meta', '#888888');
		$colour_borders = get_option('colour_borders', '#d8d8d8');
		$colour_white_bg = get_option('colour_white_bg', '#ffffff');
		
		$custom_css = '
			body,
			p a:hover,
			a p,
			blockquote,
			blockquote::before,
			a:hover .teaser-content h3,
			p i.fa, 
			.button i.fa,
			ul.unordered-list li a, 
			.hentry ul li a, 
			ol li a {
				color: #555;	
			}
			a, 
			a:hover, 
			a:focus,
			.social-list li a i,
			.social-list li a:hover i,
			i.fa,
			ul.unordered-list li a:hover, 
			.hentry ul li a:hover, 
			ol li a:hover,
			.price-table p.price {
				color: '.$colour_grey.';
			}
			p.small,
			blockquote footer,
			#main-nav a,
			#bottom-header p.small,
			#bottom-header p,
			footer p,
			footer p a,
			input, 
			textarea, 
			select {
				color: #888;
			}
			.button {
				border: 1px solid #000;
				color: '.$colour_white.';
				background: #000;
			}
			.button:hover {
				color: '.$colour_white.' !important;
				background: rgba(0,0,0,0.85);
			}
			.hentry h1, 
			h2, 
			h3, 
			h4, 
			h5,
			#main-nav > ul .active > a, 
			#main-nav > ul a.active, 
			#main-nav > .additional-links .active > a, 
			#main-nav > .additional-links a.active, 
			#main-nav li a:hover, #options li a.current, 
			li a.mixitup-control-active,
			#main-nav li a.sub-nav-toggle::before  {
				color: '.$colour_grey.';
			}
			.nav-bar {
				background-color: #555;
			}
			#main-nav a,
			#main-nav > ul > li > .sub-nav,
			#bottom-header .social-list,
			body.wpb-js-composer .vc_tta-tabs.vc_tta-o-no-fill .vc_tta-tabs-list {
				border-bottom: 2px solid #f0f0f0;
			}
			.borderline,
			.teaser-bottom,
			.comment {
				border-top: 2px solid #f0f0f0;
			}
			header,
			#white-background,
			.price-table .heading:after,
			#ajax-content .ajax-sidebar {
				background: '.$colour_white_bg.';	
			}
			.info-box-content a,
			a.circled:hover i.fa,
			.info-box-content i.fa,
			.covering-image p, 
			.covering-image h3, 
			.covering-image h2, 
			.covering-image h4, 
			.covering-image h5,
			.info-box-content p, 
			.info-box-content h1, 
			.info-box-content h3, 
			.info-box-content h2, 
			.info-box-content h4, 
			.info-box-content h5, 
			.info-box-content span,
			.vc_row-has-fill * {
				color: '.$colour_white.' !important;
			}
			.barrier {
				border-top: 1px solid '.$colour_borders.';
			}
			#fixed-barrier {
				background: '.$colour_borders.';
			}
			.blog-page .last-teaser {
				border-bottom: 1px solid '.$colour_borders.';
			}
			.blank .parent {
				border-bottom: 1px solid '.$colour_borders.';
				border-top: 1px solid '.$colour_borders.';
			}
			.button i.fa, 
			.info-box-content i.fa,
			.circled i.fa,
			.sliphoveritemTitle {
				color: '.$colour_white.';
			}
			.circled {
				border: 1px solid #000;
				background: #000;
			}
			.round-button {
				border: 2px solid #fff;
				background: #fff;
			}
			.round-button i.fa,
			.blank .info-box-content h5, 
			.blank i.fa {
				color: '.$colour_grey.' !important;
			}
			ul.pagination li a,
			.hentry table tr,
			.hentry table td,
			.hentry table th,
			#wp-calendar table tr,
			#wp-calendar table td,
			.wpb_text_column table tr,
			.wpb_text_column table td {
				color: #999;
				border: 1px solid '.$colour_borders.';
			}
			ul.pagination li a:hover {
				color: '.$colour_grey.';
				background: #f9f9f9;
			}
			ul.pagination li a.active {
				border: 2px solid '.$colour_grey.';
				color: '.$colour_grey.';
			}
			.price-table {
				border: 2px solid #f2f2f2;
			}
			.price-table .heading:before {
				background: none repeat scroll 0 0 #f2f2f2;
			}
			.price-table .heading {
				color: '.$colour_grey.';
				border-bottom: 2px solid #f2f2f2;
			}
			.price-table.highlighted .heading:before {
				background: none repeat scroll 0 0 '.$colour_grey.';
			}
			.price-table.highlighted .heading {
				border-bottom: 2px solid '.$colour_grey.';
			}
			@media only screen and (max-width : 768px) {
				.ajax-more {
					background: #fff;
				}
			}
			textarea, 
			select, 
			input:not([type="submit"]):not([type="image"]):not([type="button"]):not([type="checkbox"]):not([type="radio"]),
			.hentry table {
				border: 1px solid '.$colour_borders.';
			}
			input:focus, 
			textarea:focus,
			.hentry table tr:nth-child(even),
			.hentry table thead tr,
			.wpb_text_column table thead tr,
			.wpb_text_column table tr:nth-child(even),
			.hentry table th:nth-child(even) {
				background: #f9f9f9;
			}
			.send-btn {
				border: 1px solid #000;
				color: '.$colour_white.';
				background: #000;
			}
			.send-btn:hover {
				color: '.$colour_white.';
				background: rgba(0,0,0,0.75);
			}
			@media only screen and (max-width: 1200px) {
				#background-color {
					background: #fff;
				}
			}
			body.wpb-js-composer .vc_tta-color-grey.vc_tta-style-modern .vc_tta-tab.vc_active > a,
			body.wpb-js-composer .vc_tta-color-grey.vc_tta-style-modern .vc_tta-tab > a,
			body.wpb-js-composer .vc_tta-color-grey.vc_tta-style-modern .vc_tta-tab > a:hover {
				color: '.$colour_grey.';
				background: #fff;
			}
			body.wpb-js-composer .vc_tta-color-grey.vc_tta-style-modern .vc_tta-tab.vc_active > a,
			body.wpb-js-composer .vc_tta-color-grey.vc_tta-style-modern .vc_tta-tab > a:hover {
				opacity: 1;
				border-bottom: 2px solid '.$colour_grey.';
			}
			.info-box-content .circled {
				border: 1px solid rgba(255,255,255,0.4);
			}
			.overlay,
			.vc_row-has-fill:before {
				background-color: rgba(29, 29, 29, 0.45);
			}
			.overlay2 {
				background-color: rgba(29, 29, 29, 0.35);
			}
			#ajax-content {
				background: rgba(0, 0, 0, 0.92);
			}
		';
		
		wp_add_inline_style( 'ebor-style', $custom_css );
		
	}
	add_action('wp_enqueue_scripts', 'ebor_load_scripts', 110);
}