jQuery(document).ready(function() {
	"use strict";
	
	jQuery('.current-menu-parent > .hidden, .active > .hidden').removeClass('hidden');
	
	jQuery('.sub-nav a[href^="#"]').each(function(){
		
		var $this = jQuery(this),
			$href = '.' + $this.attr('href').replace('#', '');
			
		if('.all' == $href){
			$href = 'all';	
		}
		
		$this.addClass('control').attr('data-filter', $href);
		$this.append('<span></span>');
		
	});
	
	jQuery('.sub-nav a[href^="#"] span').each(function(){
		
		var $this = jQuery(this),
			$parent = $this.parent(),
			$href = '.' + $parent.attr('href').replace('#', '');
			
		if( '.all' == $href ){
			$href = '.mix.item';	
		}
			
		$this.text('(' + jQuery($href).length + ')');
		
	});
	
	jQuery('.sub-nav-toggle').on('click', function(e) {
        e.preventDefault();
        var $subNav = jQuery(this).next('.sub-nav');
        var $othernav = jQuery(this).parents().find('.sub-nav');
        if ($subNav.hasClass('hidden')) {
            $othernav.slideUp(420, function() {
                jQuery(this).addClass('hidden');
            });
            $subNav.hide().removeClass('hidden').stop().slideDown(420);
        } else {
            $subNav.stop().slideUp(420, function() {
                jQuery(this).addClass('hidden');
            });
        }
    });
    jQuery('#menu-button, #menu-close-button').on('click touchend', function(e) {
        e.preventDefault();

        jQuery('body').toggleClass('pushed-left');
        jQuery('#menu-button').toggleClass('open');

    });
    jQuery('#content, #background-color, #logo').on('click touchend', function(e) {
        var $body = jQuery('body'),
        	$target = jQuery(e.target);
        if (($body.hasClass('pushed-left-alt') || $body.hasClass('pushed-left')) && $target.closest('#main-nav').length === 0 && $target.closest('#menu-button').length === 0) {
            e.preventDefault();
            $body.removeClass('pushed-left-alt').removeClass('pushed-left');
            jQuery('#menu-button').removeClass('open');
        }
    });


    jQuery(window).on('scroll resize').trigger('scroll');
	
	var containerEl = jQuery('[data-ref~="mixitup-container"]');
	
	if( containerEl.length ){
		
	    var mixer = mixitup(containerEl, {
	        selectors: {
	            target: '[data-ref~="mixitup-target"]'
	        }
	    });
	
	    mixer.configure({
	        "animation": {
	            "duration": 350,
	            "nudge": true,
	            "reverseOut": false,
	            "effects": "fade stagger(50ms) translateY(-50px) translateZ(-1000px)"
	        }
	    });
	
	}
	
	if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
	    jQuery('body').addClass('touch');
	}
	
	//FitVids
	jQuery(".container").fitVids();
	
	// initiate fancybox for images
	jQuery("a.popup, a[rel=group]").fancybox({
		closeClick : true,
		helpers : {
			overlay : {
				locked : false
			}
		},
		afterShow: function() {
			jQuery('.fancybox-wrap').swipe({
				swipe : function(event, direction) {
					if (direction === 'left' || direction === 'up') {
					    jQuery.fancybox.prev( direction );
					} else {
					    jQuery.fancybox.next( direction );
					}
				}
			});
		}
	});
	
	// initiate fancybox for videos
	jQuery(".video-popup").fancybox({
		'width'				: '80%',
		'height'			: '70%',
		'autoScale'			: true,
		'type'				: 'iframe',
		closeClick : true,
		helpers : {
			overlay : {
				locked : false
			}
		}     
	});

});

jQuery(window).load(function() {
	//Sliphover
	jQuery('body.sliphover-active').not('body.touch').sliphover();
});