<?php
	/**
	 * comments.php
	 * @author TommusRhodus
	 * @since 1.0.0
	 */
	$custom_comment_form = array(
		'fields' => apply_filters( 'comment_form_default_fields', array(
		    'author' => '<input type="text" id="author" name="author" placeholder="' . esc_html__('Name', 'sugarland') . '" value="' . esc_attr( $commenter['comment_author'] ) . '" />',
		    'email'  => '<input name="email" type="text" id="email" placeholder="' . esc_html__('Email', 'sugarland') . '" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" />',
		    'url'    => '<input name="url" type="text" id="url" placeholder="' . esc_html__('URL', 'sugarland') . '" value="' . esc_attr(  $commenter['comment_author_url'] ) . '" />')
		),
		'comment_field' => '<textarea name="comment" placeholder="' . esc_html__('Your Comment', 'sugarland') . '" id="comment" aria-required="true" rows="4"></textarea>',
		'cancel_reply_link' => esc_html__( 'Cancel' , 'sugarland' ),
		'comment_notes_before' => '',
		'comment_notes_after' => '',
		'label_submit' => esc_html__( 'Submit Comment' , 'sugarland' ),
		'class_submit' => 'send-btn'
	);
?>

<div class="barrier"></div>

<div id="comments" class="container clearfix no-header">

	<div class="col-lg-10 col-lg-offset-1">
	
		<div class="centered">
			<h3 class="header"><?php esc_html_e('Comments', 'sugarland'); ?></h3>
		</div>
		
		<?php
			if( have_comments() ){
				echo '<ul id="singlecomments" class="comments__list">';
				wp_list_comments('type=comment&callback=ebor_custom_comment');
				echo '</ul>';
			}
			paginate_comments_links();
		?>
		
	</div>
		
	<div id="respond" class="col-lg-10 col-lg-offset-1 centered">
		<div class="boxed">
			<?php comment_form($custom_comment_form); ?>
		</div>
	</div>
	
</div>