<?php 
	get_header();
	the_post();
	
	$comments  = comments_open();
	$thumbnail = has_post_thumbnail();
?>

<?php if( $thumbnail ) : ?>

<div class="container clearfix full-width">
	<div class="col-lg-12 height-500">
		<div class="full-height-wrapper">
		
			<figure class="images background-image" style="background-image: url(<?php the_post_thumbnail_url(); ?>);"></figure>
			
			<div class="info-box-content">
				<div class="parent">
					<div class="child">
					
						<p class="the-category"><?php the_category(', '); ?></p>
						<?php the_title('<h2 class="header">', '</h2>'); ?>
						
						<div class="avatar">
							<?php echo get_avatar( get_the_author_meta('email'), 64 ); ?>
						</div>
						
					</div>
				</div>
			</div>
			
			<div class="overlay"></div>
			
		</div>
	</div>
</div>

<?php endif; ?>

<div class="container clearfix no-header no-heading">

	<div class="col-lg-12">
	
		<?php get_template_part('inc/content-post', 'meta'); ?>
		
		<?php if( $comments ) : ?>
			<p class="alignright">
				<span class="small comments">
					<i class="fa fa-comment"></i> 
					<?php comments_number( esc_html__('0 Comments','sugarland'), esc_html__('1 Comment','sugarland'), esc_html__('% Comments','sugarland') ); ?>
				</span>
			</p>
		<?php endif; ?>
		
		<div class="borderline"></div>
		
	</div>

	<div class="col-lg-10 col-lg-offset-1 post-text hentry">
		
		<?php if(!( $thumbnail )) : ?>
			
			<p class="small the-category"><?php the_category(', '); ?></p>
			<?php the_title('<h2 class="header">', '</h2>'); ?>
			
		<?php endif; ?>
	
		<?php
			the_content();
			wp_link_pages();
			the_tags();
		?>
		
	</div>
	
	<?php if( $comments ) : ?>
		<div class="col-lg-12 centered"> 
			<a href="#comments" class="button"><i class="fa fa-comment"></i> <?php esc_html_e('Discuss This Post', 'sugarland'); ?></a> 
		</div>
	<?php endif; ?>
	
</div>

<?php 
	if( $comments || get_comments_number() )
		comments_template();
	
	get_template_part('inc/content-post', 'nav');
	get_footer();